Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.storage
Class DAVConnection

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.storage.DAVConnection

    public class DAVConnection

extends java.lang.Object

DAVConnection
Cette classe propose des méthodes de base pour utiliser des services WebDAV
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`DAVConnection()` Constructeur

Method Summary
`void` | `close()` Ferme la connexion
`void` | `connect(java.lang.String url, java.lang.String login, java.lang.String password)` Ouvre une connexion WebDAV
`void` | `createDir(java.lang.String path)` Crée un répertoire
`void` | `createFile(java.lang.String file, java.io.InputStream in)` Crée un fichier
`void` | `deleteFile(java.lang.String file)` Supprime un fichier
`boolean` | `dirExists(java.lang.String path)` Teste l'existence d'un répertoire
`boolean` | `fileExists(java.lang.String file)` Teste l'existence d'un fichier
`java.io.InputStream` | `getFile(java.lang.String file)` Lit un fichier
`void` | `renameFile(java.lang.String source, java.lang.String dest)` Renomme un fichier

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVConnection

    public DAVConnection()

  Constructeur

Method Detail

### connect

    public void connect(java.lang.String url,
                        java.lang.String login,
                        java.lang.String password)
                 throws DAVException

  Ouvre une connexion WebDAV

  Parameters:
    `url` - l'URL de connexion
    `login` - l'identifiant
    `password` - le mot de passe
  Throws:
    `DAVException`

### close

    public void close()

  Ferme la connexion

### dirExists

    public boolean dirExists(java.lang.String path)

  Teste l'existence d'un répertoire

  Parameters:
    `path` - le chemin relatif à tester
  Returns:
    exist true | false

### fileExists

    public boolean fileExists(java.lang.String file)

  Teste l'existence d'un fichier

  Parameters:
    `file` - le chemin du fichier à tester
  Returns:
    exist true | false

### createDir

    public void createDir(java.lang.String path)
                   throws DAVException

  Crée un répertoire

  Parameters:
    `path` - le chemin du répertoire à créer
  Throws:
    `DAVException`

### createFile

    public void createFile(java.lang.String file,
                           java.io.InputStream in)
                    throws DAVException

  Crée un fichier

  Parameters:
    `file` - le chemin du fichier à créer
    `in` - les données du fichier
  Throws:
    `DAVException`

### renameFile

    public void renameFile(java.lang.String source,
                           java.lang.String dest)
                    throws DAVException

  Renomme un fichier

  Parameters:
    `source` - l'ancien chemin du fichier
    `dest` - le nouveau chemin du fichier
  Throws:
    `DAVException`

### deleteFile

    public void deleteFile(java.lang.String file)
                    throws DAVException

  Supprime un fichier

  Parameters:
    `file` - le chemin du fichier à supprimer
  Throws:
    `DAVException`

### getFile

    public java.io.InputStream getFile(java.lang.String file)
                                throws DAVException

  Lit un fichier

  Parameters:
    `file` - le chemin du fichier à lire
  Returns:
    data les données du fichier
  Throws:
    `DAVException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD